declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    value: {
        type: StringConstructor;
    };
    tooltips: {
        type: ObjectConstructor;
        default: () => {};
    };
}>, {}, {
    copied: boolean;
}, {
    copyTooltip(): any;
    copiedTooltip(): any;
}, {
    copy(): Promise<void>;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: StringConstructor;
    };
    tooltips: {
        type: ObjectConstructor;
        default: () => {};
    };
}>> & Readonly<{}>, {
    tooltips: Record<string, any>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
